avogadrolibs (1.101.0-6) unstable; urgency=medium

  * drop debian patch use_overlayaxes.patch and stop using
    USE_QT_OPENGL for 32-bit arm. The issue with armhf and OpenGL in
    the overlayaxes plugin has been fixed in Qt6. Closes: #1133817.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Apr 2026 02:37:14 +0200

avogadrolibs (1.101.0-5) unstable; urgency=medium

  * replace contents of debian patch tests_find_avogadrolibs.patch
    with upstream PR#2575. Allows standalone tests to be run via ctest.
  * drop handling of GCS warning on arm64. Closes: #1127148.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Feb 2026 23:45:37 +0100

avogadrolibs (1.101.0-4) unstable; urgency=medium

  * update upstream Homepage to https://two.avogadro.cc/
  * libavogadro2-1t64 Recommends: openbabel
    (static plugin OpenBabel.a is compiled into libAvogadroQtPlugins.so,
    usage is optional)
  * debian patch import_lammps_lammpstrj_PR2504.patch applies upstream
    PR#2503 to allow importing LAMMPS trajectory files (*.lammpstrj)
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Jan 2026 18:56:08 +0100

avogadrolibs (1.101.0-3) unstable; urgency=medium

  * debian patch fix_dialog_PR2274.patch applies upstream PR#2274 to
    fix an empty download dialog box.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Oct 2025 22:54:00 +0200

avogadrolibs (1.101.0-2) unstable; urgency=medium

  * avogadro treats warnings as fatal errors so set
    gcs-report-dynamic=none to not warn about the
    new GCS feature on arm64. See Bug#1110448.
    Closes: #1115341.

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Sep 2025 11:22:13 +0200

avogadrolibs (1.101.0-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch cmake4_PR2022.patch

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Sep 2025 00:23:44 +0200

avogadrolibs (1.100.0-2) unstable; urgency=medium

  * debian patch cmake4_PR2022.patch applies upstream PR#2022 to
    enable build with cmake 4 (minimum cmake version 3.5)
    Closes: #1112713.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Sep 2025 18:40:25 +0200

avogadrolibs (1.100.0-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches:
      fetch_PDB_PR1642.patch
      fetch_PDB_error_check_PR1646.patch
      fix_startup_crash_PR1621.patch
      set_fragments_PR1612.patch
  * update data files for crystals, fragments, molecules to 1.100.0
  * build against Qt6
  * drop deprecated debian patches
    - fix_test_qtgui.patch (replaced by updates upstream and in
      tests_find_avogadrolibs.patch)
    - tests_skip_spacegroup_HallNumber0.patch (tests are now passing)
  * debian patch doc_mathjax.patch: retain @2 suffix in mathjax path
  * remove .gitignore file installed with fragments by dh_auto_install
  * libavogadro2-1t64.lintian-overrides: drop redundant override
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Feb 2025 19:13:21 +0900

avogadrolibs (1.99.0-5) unstable; urgency=medium

  * debian patch fetch_PDB_error_check_PR1646.patch applies upstream
    PR1646 to prevent Fetch PDB segfaulting on unknown search terms.

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 23:38:31 +0100

avogadrolibs (1.99.0-4) unstable; urgency=medium

  * debian patch fetch_PDB_PR1642.patch applies upstream PR#1642 to
    fix fetching molecules from the PDB database.

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 11:33:28 +0100

avogadrolibs (1.99.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061927

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 03:05:08 +0000

avogadrolibs (1.99.0-3) unstable; urgency=medium

  * debian patch fix_startup_crash_PR1621.patch applies upstream
    PR#1621 to fix segfault when starting from the command line.

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 10:11:51 +0100

avogadrolibs (1.99.0-2) unstable; urgency=medium

  * Build-Depends-Indep: graphviz
    for dot, used by doxygen.
  * debian/rules: use execute_after_dh_auto* to process docs and bin
    executable installation

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2024 12:51:53 +0100

avogadrolibs (1.99.0-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches header_coreexport.patch
      and tests_include_eigen.patch
    - add fragments data as git subtree in debian/data/fragments from
      https://github.com/openchemistry/fragments
      (see avogadro/qtplugins/templatetool/CMakeLists.txt)
  * update debian/data git subtrees molecules and crystals
    - mark png files in debian/source/include-binaries
  * update debian patch qtplugins_insertfragment.patch to include
    fragments after adding set_fragments_PR1612.patch to apply
    upstream PR#1612 for fragments data dir.
  * update Build-Depends: pkg-config to pkgconf

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2024 04:14:11 +0100

avogadrolibs (1.98.1-2) unstable; urgency=medium

  * v1.98 dropped docs/conf.py. Closes: #1043909.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 01:36:07 +0100

avogadrolibs (1.98.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_mouse_scroll_PR1065.patch
    - overhauls molequeue support (drop molequeue_system.patch)
  * drop debian patch manage_vtk.patch
  * add debian patches needed to run tests standalone for CI testing
    existing installation, see upstream Issue #1430.
    - tests_include_eigen.patch reinstates adding EIGEN3_INCLUDE_DIR
      when configuring tests (removed in upstream PR#1267). Use
      Eigen3::Eigen not Eigen3::Eigen3. See upstream Issue#1475.
    - header_coreexport.patch fixes include reference path to
      avogadrocoreexport.h. See upstream Issue #1476.
    - tests_find_avogadrolibs.patch ensures AvogadroLibs and Qt cmake
      configuration is loaded when configuring tests.
    - tests_skip_spacegroup_HallNumber0.patch skips SpaceGroup tests
      fillUnitCell and reduceToAsymmetricUnit which fail with Hall
      number 0. See upstream Issue #1477.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 00:05:22 +0100

avogadrolibs (1.97.0-4) unstable; urgency=low

  * Team upload.
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.
  * Remove field Section on binary package avogadro-utils that duplicates
    source.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Nov 2023 13:09:06 +0000

avogadrolibs (1.97.0-3) unstable; urgency=medium

  * deactivate VTK support as recommended by upstream
    (VTK support is not yet stable)
  * install static plugin libraries to the development package,
    not the binary package. Closes: #1022755.

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Nov 2022 10:38:05 +0100

avogadrolibs (1.97.0-2) unstable; urgency=medium

  * debian patch fix_mouse_scroll_PR1065.patch applies upstream
    PR#1065 to fix mouse button scrolling

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jul 2022 23:57:05 +0200

avogadrolibs (1.97.0-1) unstable; urgency=medium

  * New upstream release.
  * activate VTK support
    - Build-Depends: libvtk9-qt-dev
    - debian patch manage_vtk.patch switches off plotxrd plugin
      (GenXrdPattern is not yet available for Debian)
  * update debian patch script_hashbang.patch adding
    scriptfileformats/formatScripts/zyx.py and antechamber.py
  * debian/tests: add OPENGL (rendering) tests
    (no need for VTK tests since qtopengl tests are not active)

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Jul 2022 22:08:29 +0200

avogadrolibs (1.96.0-2) unstable; urgency=medium

  * reinstate debian patch use_overlayaxes.patch to allow build with
    OpenGL on armel, armhf. The problem is Qt with OpenGL, not OpenGL
    in general, so add control flag USE_QT_OPENGL=OFF rather than
    USE_OPENGL=OFF, which would deactivate all OpenGL not just the
    problematic overlayaxes plugin.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jun 2022 23:40:22 +0200

avogadrolibs (1.96.0-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches:
       fix_bond_centric_and_manipulator_tool.patch
       memory_crystal_PR876.patch
       nolayer_PR806.patch
       test_mostly_zero.patch
       use_overlayaxes.patch
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jun 2022 19:51:51 +0200

avogadrolibs (1.95.1-9) unstable; urgency=medium

  * add debian patches
    - memory_crystal_PR876.patch applies upstream PR876 to
      fix memory crash building crystal supercells.
    - doc_mathjax.patch configures docs to use local mathjax
  * fix python installation to use standard python3 location

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Apr 2022 23:25:31 +0200

avogadrolibs (1.95.1-8) unstable; urgency=medium

  * Team upload.
  * debian/patches/fix_bond_centric_and_manipulator_tool.patch: Add missing
    upstream commit c47d00c to patch, thanks to Aritz Erkiaga.

 -- Michael Banck <mbanck@debian.org>  Sat, 26 Feb 2022 14:15:45 +0100

avogadrolibs (1.95.1-7) unstable; urgency=medium

  * Team upload.
  * debian/patches/fix_bond_centric_and_manipulator_tool.patch: New patch,
    fixes the bond centric and manipulation tools, taken from upstream commits
    15fe8df and 64f62a4 from pull request #825 and thanks to Aritz Erkiaga.
    Closes: #1005006, #1006184.

 -- Michael Banck <mbanck@debian.org>  Fri, 25 Feb 2022 08:07:31 +0100

avogadrolibs (1.95.1-6) unstable; urgency=medium

  * revert Build-Depends: python3:any | ... dh-sequence-python3
    from 1.95.1-1. The lintian error was incorrect, see Bug#995981.
    Build with default python only since build uses cmake not pybuild.
    Closes: #998469.

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Nov 2021 13:07:01 +0100

avogadrolibs (1.95.1-5) unstable; urgency=medium

  * add molequeue support
    - adds quantum chemical input support (cp2k, gamess)
    - drop debian patch drop_cp2kinput.patch
    - Build-Depends: molequeue, libmolequeue-dev,
      libavogadro2-1 Recommends: molequeue.
      molequeue is used by libAvogadroMoleQueue.so.1 when available,
      avogadrolibs tests use libmolequeue-dev for molequeue cmake scripts
    - debian patch molequeue_system.patch builds against system
      molequeue instead of vendored molequeue client headers.
  * add qtgui tests in debian/tests
    - debian patch fix_test_qtgui.patch fixes linked libraries in
      tests/qtgui

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Oct 2021 22:42:02 +0200

avogadrolibs (1.95.1-4) unstable; urgency=medium

  * debian patch test_mostly_zero.patch tests ">=0" within machine
    precision, i.e. ">=-EPS". Required for i386 to pass
    UnitCellTest.wrapAtomsToUnitCell, see upstream Issue #812.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Oct 2021 18:32:36 +0200

avogadrolibs (1.95.1-3) unstable; urgency=medium

  * debian patch use_overlayaxes.patch skips the overlayaxes plugin on
    armel,armhf. Qt/GL support is broken on armel,armhf, see Bug#798408
    and the problem is triggered by the overlayaxes plugin.

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Oct 2021 03:01:34 +0200

avogadrolibs (1.95.1-2) unstable; urgency=medium

  * debian patch nolayer_PR806.patch applies upstream PR#806 to fix
    handling molecules with no layers. Intended to fix spglib segfault
    (upstream Issue#752)

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Oct 2021 11:53:07 +0200

avogadrolibs (1.95.1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches
       fix_SMILES_PR661.patch
       fix_transparency_PR656.patch
       insert_crystals_PR658.patch
       insert_crystals_PR659.patch
       read_nonstandard_pdb_PR647.patch
  * Standards-Version: 4.6.0
  * Build-Depends: python3:any | python3-all:any | python3-dev:any |
     python3-all-dev:any | dh-sequence-python3.
    For lintian warning missing-build-dependency-for-dh-addon
  * download libavogadro2-1 Depends to Recommends: python3:any

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Oct 2021 16:14:46 +0200

avogadrolibs (1.94.0-6) experimental; urgency=medium

  * debian patches insert_crystals_PR658.patch and
    insert_crystals_PR659.patch apply upstream PR#658 and PR#659
    to activate Insert Fragment for crystals.
  * debian patch fix_SMILES_PR661.patch fixes random failure to insert
    SMILES molecules. Note 'H' is not supported in the SMILES format.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Jul 2021 18:24:16 +0200

avogadrolibs (1.94.0-5) experimental; urgency=medium

  * debian patch read_nonstandard_pdb_PR647.patch applies upstream
    PR#646 allowing nonstandard pdb files to be read.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Jul 2021 00:45:47 +0200

avogadrolibs (1.94.0-4) experimental; urgency=medium

  * debian patch fix_transparency_PR656.patch applies upstream PR#656
    to fix transparency of selections.
  * reinstate debian/tmp/html in debian/not-installed. It's installed
    by dh_installdocs not dh_install, dh_missing does not know about
    doc installations.

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Jul 2021 20:59:47 +0200

avogadrolibs (1.94.0-3) experimental; urgency=medium

  * libavogadro-data: install molecules and crystals data directly
    from source in debian/data to enable arch-indep builds

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Jul 2021 18:49:26 +0200

avogadrolibs (1.94.0-2) experimental; urgency=medium

  * libavogadro-dev Depends: libglvnd-dev
    Needed to provide libOpenGL.so (libopengl-dev) and other
    INTERFACE_LINK_LIBRARIES listed in cmake config scripts.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Jul 2021 17:47:53 +0200

avogadrolibs (1.94.0-1) experimental; urgency=medium

  * New upstream release.
    - Build-Depends: python3-skbuild, python3-wheel, libqt5svg5-dev
    - applies debian patches export_molecule_save_68fb007.patch,
      fix_spglib_include_path.patch, patch_version_1.93.1.patch
  * Build-Depends: libjs-mathjax. Use local copy of mathjax.js in docs.
  * libavogadro-data package provides molecules and crystals for the
    insertfragment plugin
    - provided in source as git subtrees in debian/data.
    - debian patch qtplugins_insertfragment.patch enables build access
  * libavogadro2-1 Recommends: python3-cclib
    (used by formatScripts/cclibScript.py)

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Jun 2021 03:32:59 +0200

avogadrolibs (1.93.1-3) unstable; urgency=medium

  * debian patch export_molecule_save_68fb007.patch applies upstream
    commit 68fb007 (PR#517) to fix the Save dialog when exporting
    molecules (upstream issue #439).

 -- Drew Parsons <dparsons@debian.org>  Wed, 14 Apr 2021 22:48:26 +0200

avogadrolibs (1.93.1-2) unstable; urgency=medium

  * bring new upstream release into bullseye

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Feb 2021 19:04:09 +0100

avogadrolibs (1.93.1-1) experimental; urgency=medium

  * New upstream release.
  * debian patch patch_version_1.93.1.patch fixes upstream
    CMakeLists.txt to register version as 1.93.1 not 1.93.0.

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Feb 2021 18:23:37 +0100

avogadrolibs (1.93.0+git20201104.926573b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.1
  * use help2man to generate man pages for avobabel and qube
    (help2man -N -n "utility for Avogadro2" -S Avogadro2
      --version-string='\0' avobabel > avobabel.1)

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jan 2021 01:33:43 +1100

avogadrolibs (1.93.0+git20200509.e169315-1) unstable; urgency=medium

  * New upstream snapshot
    - fixes H atom handling during geometry optimization.
    - supports Python3 (drop debian patch build_python3.patch)
  * mark libavogadro-dev as Multi-Arch: same
  * add debian patches:
    - drop_cp2kinput.patch drops the cp2k input plugin,
      since it requires molequeue (upstream Issue#476)
    - script_hashbang.patch adds hashbang to executable plugin script
      libavogadro2-1 Depends: python3 to use it
  * libAvogadroCore*.a static libraries not longer built
  * debian/rules: include /usr/share/dpkg/architecture.mk
  * Build-Depends: qttools5-dev (for Qt linguist and its Find cmake file)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jun 2020 20:16:28 +0800

avogadrolibs (1.93.0-3) unstable; urgency=medium

  * debian/tests Depends: libgtest-dev

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Feb 2020 10:54:55 +0800

avogadrolibs (1.93.0-2) unstable; urgency=medium

  * add debian/tests for autopkgtest (currently tests C++ only)

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Feb 2020 13:46:16 +0800

avogadrolibs (1.93.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Feb 2020 11:59:39 +0800

avogadrolibs (1.92.1-5) unstable; urgency=medium

  * mark libavogadro2-1 as Multi-Arch: same,
    and libavogadro-doc as Multi-Arch: foreign
  * Depends: openbabel not libopenbabel-dev. Closes: #948769.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jan 2020 18:41:21 +0800

avogadrolibs (1.92.1-4) unstable; urgency=medium

  * build dir uses DEB_HOST_GNU_TYPE not DEB_HOST_MULTIARCH

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 10:31:32 +1100

avogadrolibs (1.92.1-3) unstable; urgency=medium

  * configure to build documentation only for arch-indep builds

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 00:51:38 +1100

avogadrolibs (1.92.1-2) unstable; urgency=medium

  * debian/copyright: explicitly declare licences of i18n .po
    translation files.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2019 11:48:13 +1100

avogadrolibs (1.92.1-1) unstable; urgency=low

  * Initial release. (Closes: #942397)
    - This is Avogadro 2, which is a rewrite of the original Avogadro.
      Hence name binary library package as libavogadro2-1 to
      distinguish from the older libavogadro1.
    - utility programs provided in avogadro-utils:
        avobabel
        avocjsontocml
        bodrparse
        encodefile
        qube
        resdataparse
    - documentation for libavogadro provided in libavogadro-doc
  * debian patch fix_spglib_include_path.patch fixes path to spglib.h
  * debian patch build_python3.patch enforces a Python3 build

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Oct 2019 23:45:44 +0800
